package com.iqball.app.api.service

import arrow.core.Either
import retrofit2.Call

typealias ErrorResponseResult = Map<String, Array<String>>
typealias APIResult<R> = Either<ErrorResponseResult, R>

interface IQBallService : AuthService, UserService